Summary:	Cursor themes
Summary(pl.UTF-8):	Motywy kursorów
Name:		xorg-data-xcursor-themes
Version:	1.0.7
Release:	1
License:	MIT
Group:		Themes
Source0:	https://xorg.freedesktop.org/releases/individual/data/xcursor-themes-%{version}.tar.xz
# Source0-md5:	070993be1f010b09447ea24bab2c9846
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-app-xcursorgen
# to get icondir from xcursor.pc
BuildRequires:	xorg-lib-libXcursor-devel >= 1.1.5.2
BuildRequires:	xorg-util-util-macros >= 1.20
BuildRequires:	xz
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a default set of cursor themes for use with libXcursor,
originally created for the XFree86 Project, and now shipped as part
of the X.Org software distribution.

%description -l pl.UTF-8
Tak pakiet zawiera domyślny zestaw motywów kursorów do używania z
libXcursor, oryginalnie stworzonych dla projektu XFree86, a teraz
dołączanych jako część dystrybucji oprogramowania X.Org.

%package -n xcursor-theme-handhelds
Summary:	Cursors Theme "handhelds"
Summary(pl.UTF-8):	Motyw kursorów "handhelds"
Group:		Themes
Obsoletes:	XcursorTheme-handhelds < 1:7

%description -n xcursor-theme-handhelds
Cursors theme "handhelds" for X11.

%description -n xcursor-theme-handhelds -l pl.UTF-8
Motyw kursorów "handhelds" dla X11.

%package -n xcursor-theme-redglass
Summary:	Cursors theme "redglass"
Summary(pl.UTF-8):	Motyw kursorów "redglass"
Group:		Themes
Obsoletes:	XcursorTheme-redglass < 1:7

%description -n xcursor-theme-redglass
Cursors theme "redglass" for X11.

%description -n xcursor-theme-redglass -l pl.UTF-8
Motyw kursorów "redglass" dla X11.

%package -n xcursor-theme-whiteglass
Summary:	Cursors theme "whiteglass"
Summary(pl.UTF-8):	Motyw kursorów "whiteglass"
Group:		Themes
Obsoletes:	XcursorTheme-whiteglass < 1:7

%description -n xcursor-theme-whiteglass
Cursors theme "whiteglass" for X11.

%description -n xcursor-theme-whiteglass -l pl.UTF-8
Motyw kursorów "whiteglass" dla X11.

%prep
%setup -q -n xcursor-themes-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
%if "%{_host_cpu}" != "x32"
	--host=%{_host} \
	--build=%{_host}
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files -n xcursor-theme-handhelds
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%{_iconsdir}/handhelds

%files -n xcursor-theme-redglass
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%{_iconsdir}/redglass

%files -n xcursor-theme-whiteglass
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%{_iconsdir}/whiteglass
%changelog
* Wed Mar 01 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-data-xcursor-themes.git;a=log;h=master

* Wed Mar 01 2023 Jakub Bogusz <qboosh@pld-linux.org> d392480
- fixed x32 condition (arch is noarch, need to check _host_cpu)

* Wed Mar 01 2023 Jakub Bogusz <qboosh@pld-linux.org> bc0c64a
- noarch

* Wed Mar 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 2ddbd4e
- updated to 1.0.7

* Wed Mar 01 2023 Jakub Bogusz <qboosh@pld-linux.org> 83e9134
- versioned Obsoletes

* Thu Feb 21 2019 Jakub Bogusz <qboosh@pld-linux.org> cde6ba7
- updated to 1.0.6

* Thu Mar 15 2018 Jakub Bogusz <qboosh@pld-linux.org> 7901f3f
- updated to 1.0.5

* Thu Jul 18 2013 Jakub Bogusz <qboosh@pld-linux.org> 3bfbbf1
- updated to 1.0.4

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> f189a17
- dropped pre-cvs changelog

* Sat Oct 30 2010 Jakub Bogusz <qboosh@pld-linux.org> 4f16f33
- updated to 1.0.3

* Fri Sep 25 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> e14cdd4
- up to 1.0.2

* Sat Feb 24 2007 qrczak <qrczak@pld-linux.org> 24b3425
- Fixed generation of the "watch" cursor in the redglass theme
- Release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a2fb5c8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 69ace5e
- converted to UTF-8

* Sun Jan 07 2007 aflinta <aflinta@pld-linux.org> 0098c69
- iconsdir is owned by filesystem
 - removed TODO
 - release 1

* Sat Jan 06 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> db804f0
- obsolete only Ac version of X11 so metapackage-xorg will have a chance to work

* Sun May 14 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 1eea6cb
- no more X11R7.0 in setup

* Mon May 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 217b265
- update md5sum for individual files.

* Mon May 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 8808369
- switch to individual files

* Thu Dec 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 3100f6b
- 1.0.1 (X11R7.0 release)

* Mon Dec 19 2005 Jakub Bogusz <qboosh@pld-linux.org> 2bba27d
- 1.0.0 (X11R7.0-RC4)

